#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%include	/usr/lib/rpm/macros.perl
%define		pdir	DBD
%define		pnam	SQLite2
Summary:	DBD::SQLite2 - Self Contained RDBMS in a DBI Driver (sqlite 2.x)
Summary(pl.UTF-8):	DBD::SQlite2 - Kompletny RDBMS zawarty w sterowniku DBI (sqlite 2.x)
Name:		perl-DBD-SQLite2
Version:	0.33
Release:	10
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	babd83fd5eb9ba7560ad4bab4c76c0eb
URL:		http://search.cpan.org/dist/DBD-SQLite2/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-DBI
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DBD::SQLite2 is a DBI driver for SQLite database. SQLite is a public
domain RDBMS database engine that you can find at
<http://www.sqlite.org/>.

Rather than ask you to install SQLite first, DBD::SQLite2 includes the
entire thing in the distribution. So in order to get a fast
transaction capable RDBMS working for your perl project you simply
have to install this module, and nothing else.

This version uses older version of SQLite engine (2.x). To get a
newest one please use perl-DBD-SQLite.

%description -l pl.UTF-8
DBD::SQLite2 to sterownik DBI do baz danych SQLite. SQLite to silnik
relacyjnych baz danych na licencji public domain. Można go znaleźć pod
adresem <http://www.sqlite.org/>.

DBD::SQLite2 zawiera w sobie cały silnik bazy danych. Dzięki temu aby
otrzymać działający RDBMS dostępny z poziomu Perla nie trzeba
instalować żadnych innych pakietów.

Ta wersja korzysta ze starszej wersji silnika SQLite (2.x). Aby użyć
nowszej wersji należy zainstalować pakiet perl-DBD-SQLite.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

# not real test
mv t/ak-dbd.t{,est}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/DBD/getsqlite.pl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/DBD/SQLite2.pm
%dir %{perl_vendorarch}/auto/DBD/SQLite2
%attr(755,root,root) %{perl_vendorarch}/auto/DBD/SQLite2/SQLite2.so
%{_mandir}/man3/DBD*
%changelog
* Wed Feb 04 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-DBD-SQLite2.git;a=log;h=master

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 3472f27
- release 10 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e9d7828
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3039f57
- rebuild for perl 5.20
- release 9 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> e808e46
- rebuild with perl 5.18.0
- release 8 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 924a44b
- rel 7

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 02b9be7
- release 6

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a48910
- release 5

* Tue Nov 17 2009 sparky <sparky@pld-linux.org> 544d9a2
- rel 4

* Tue Nov 17 2009 sparky <sparky@pld-linux.org> 74be050
- fixed

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> 991d60f
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0be8be9
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 14a30d9
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7b26996
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 341edd6
- converted to UTF-8

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> e6437ca
- generic URL

* Sun May 01 2005 Elan Ruusamäe <glen@pld-linux.org> aca7e34
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

* Tue Mar 15 2005 Jakub Bogusz <qboosh@pld-linux.org> b639477
- desc cosmetics

* Sun Mar 13 2005 migo <migo@pld-linux.org> 2bf3d5c
- initial revision

